## opalsync 1.8.0

=== Makefile ===
DIRS=cron src conf

all clean install:
	for md in $(DIRS) ; do \
		$(MAKE) -C $$md $@ ; \
	done

=== conf/Makefile ===
all:

clean:

install:
	mkdir -p $(DESTDIR)/etc/opalsync
	install -m644 default default.exclude $(DESTDIR)/etc/opalsync

=== cron/Makefile ===
all:

clean:

install:
	mkdir -p $(DESTDIR)/etc/cron.d/
	install -m644 opalsync $(DESTDIR)/etc/cron.d/

=== src/Makefile ===
all:

clean:

install:
	mkdir -p $(DESTDIR)/usr/bin/
	install -m644 opalsync opalsync_print_summary $(DESTDIR)/usr/bin/

=== debian/changelog ===
opalsync (1.8.0) unstable; urgency=low

  * Adding support for LXC in addition to OpenVZ.

 -- Ola Lundqvist <ola@inguza.com>  Mon, 21 Aug 2017 20:23:12 +0200

opalsync (1.7.0) unstable; urgency=low

  * Improvement of CMAILDIR handling.
  * Correction so that transferred files are shown correctly.
  * Now email will be sent for any first invocation. Not only foreach.

 -- Ola Lundqvist <ola@inguza.com>  Wed, 09 Nov 2016 21:37:42 +0100

opalsync (1.6.4) unstable; urgency=low

  * Improve email output subject and contents.

 -- Ola Lundqvist <ola@inguza.com>  Tue, 26 Jul 2016 23:43:52 +0200

opalsync (1.6.3) unstable; urgency=low

  * Make sure no error is printed to stderr in case there are no
    vz containers to backup.

 -- Ola Lundqvist <ola@inguza.com>  Thu, 21 Jul 2016 21:03:07 +0200

opalsync (1.6.2) unstable; urgency=low

  * Removed the opalsync_print_summary binary. It is not in use.
  * Moved the empty line to make the printed list look good also in
    error cases.

 -- Ola Lundqvist <ola@inguza.com>  Mon, 11 Jul 2016 21:35:34 +0200

opalsync (1.6.1) unstable; urgency=low

  * More error conditions gives an error mail.
  * Simplified debian rules file.
  * Updated to standards version 3.8.0.

 -- Ola Lundqvist <ola@inguza.com>  Wed, 06 Jul 2016 13:38:03 +0200

opalsync (1.6.0) unstable; urgency=low

  * Updated to work with rsync 3.1 output.

 -- Ola Lundqvist <ola@inguza.com>  Mon, 18 May 2015 21:57:14 +0200

opalsync (1.5.0) unstable; urgency=low

  * Support for ignoring all or specific targets based on conditions
    (such as having a file in place). Bot generating an error condition
    and without an error condition.

 -- Ola Lundqvist <ola@inguza.com>  Wed, 12 Jun 2013 16:43:50 +0200

opalsync (1.4.3) unstable; urgency=low

  * Make sure to not create directory CTID by mistake.

 -- Ola Lundqvist <ola@inguza.com>  Sat, 08 Jun 2013 20:20:26 +0200

opalsync (1.4.2) unstable; urgency=low

  * Correction to reduce action in case of multiple syncs during the
    same day.

 -- Ola Lundqvist <ola@inguza.com>  Sun, 12 Feb 2012 22:27:34 +0100

opalsync (1.4.1) unstable; urgency=low

  * Changed from /bin/sh to /bin/bash as it is dependent on bash syntax.

 -- Ola Lundqvist <ola@inguza.com>  Thu, 29 Dec 2011 13:49:18 +0100

opalsync (1.4.0) unstable; urgency=low

  * Hard links are now preserved when syncing.
  * Added a dependency on rsync and due to the new option require version
    2.6.4 or higher.
  * Updated to standards version 3.9.1 (from 3.8.0).
  * Changed the rules file to build the package in arch indep instad of
    arch rules.
  * Now uses dh_prep instead of dh_clean -k.
  * Removed the cron.d.ex file from debian dir as it is not used anyway.

 -- Ola Lundqvist <ola@inguza.com>  Thu, 21 Apr 2011 07:04:57 +0200

opalsync (1.3.2) unstable; urgency=low

  * Yet another correction of the clean action.

 -- Ola Lundqvist <ola@inguza.com>  Sun, 24 Oct 2010 00:00:04 +0200

opalsync (1.3.1) unstable; urgency=low

  * Correction of clean target.

 -- Ola Lundqvist <ola@inguza.com>  Sat, 23 Oct 2010 23:44:46 +0200

opalsync (1.3) unstable; urgency=low

  * Added reduce (reduce0, reduce1, reduce2) and clean (reduceold) actions
    to clean empty backup directories.

 -- Ola Lundqvist <ola@inguza.com>  Sat, 23 Oct 2010 23:35:13 +0200

opalsync (1.2.2) unstable; urgency=low

  * Corrected mail sending problem.

 -- Ola Lundqvist <ola@inguza.com>  Sat, 23 Oct 2010 22:28:28 +0200

opalsync (1.2.1) unstable; urgency=low

  * Syntax correction.

 -- Ola Lundqvist <ola@inguza.com>  Tue, 23 Oct 2010 22:17:15 +0200

opalsync (1.2) unstable; urgency=low

  * Added reduce0, reduce1, reduce2 and remove possibilities.

 -- Ola Lundqvist <ola@inguza.com>  Tue, 23 Oct 2010 17:51:28 +0200

opalsync (1.1.1) unstable; urgency=low

  * Built for architecture all instead of architecture any.

 -- Ola Lundqvist <ola@inguza.com>  Tue, 20 Apr 2010 21:01:38 +0200

opalsync (1.1) unstable; urgency=low

  * Initial Release.

 -- Ola Lundqvist <ola@inguza.com>  Mon, 28 Sep 2009 07:17:31 +0200

=== debian/control ===
Source: opalsync
Section: utils
Priority: extra
Maintainer: Ola Lundqvist <ola@inguza.com>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.0
Homepage: http://inguza.com/software/opalsync

Package: opalsync
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, rsync (>= 2.6.4)
Description: Data synchronization and backup tool
 This software is a tool based primarily on rsync to make it easier to
 synchronize data between hosts.
